rte_crypto_ml_dsa_sigver_op(3)

NAME
rte_crypto_ml_dsa_sigver_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param pubkey
rte_crypto_param message
rte_crypto_param sign
rte_crypto_param mu
rte_crypto_param ctx
enum rte_crypto_auth_algorithm hash

Detailed Description

PQC ML-DSA SIGVER op

Parameters for PQC ML-DSA verify operation

Definition at line 1017 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param pubkey
The public key to verify signature.

Definition at line 1018 of file rte_crypto_asym.h.

  rte_crypto_param message
The message used to verify signature.

Definition at line 1021 of file rte_crypto_asym.h.

  rte_crypto_param sign
The signature to verify.

Definition at line 1024 of file rte_crypto_asym.h.

  rte_crypto_param mu
The mu used to generate signature.

Definition at line 1027 of file rte_crypto_asym.h.

  rte_crypto_param ctx
The context key to generate signature.

Definition at line 1030 of file rte_crypto_asym.h.

  enum rte_crypto_auth_algorithm hash
Hash function to generate signature.

Definition at line 1033 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.